%define pypi_name cherrypy
%define srcname   CherryPy

Name:           python-cherrypy
Version:        18.8.0
Release:        %mkrel 1
Summary:        A Python-based framework for web application development
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/CherryPy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Python-based framework for web application development.

CherryPy allows you to write and easily deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package -n python3-cherrypy
Summary:	A Python3-based framework for web application development
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
%{?python_provide:%python_provide python3-cherrypy}

%description -n python3-cherrypy
A Python3-based framework for web application development.

CherryPy allows you to write and easily deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
This package provides the documentation for %{name}.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cherrypy

%files docs
%doc cherrypy/tutorial

%files -n python3-cherrypy -f %{pyproject_files}
%doc README.rst
%doc LICENSE.md
%{_bindir}/cherryd

%exclude %{python3_sitelib}/cherrypy/cherryd
%exclude %{python3_sitelib}/cherrypy/test
%exclude %{python3_sitelib}/cherrypy/tutorial


%changelog
* Tue Sep 06 2022 neoclust <neoclust> 18.8.0-1.mga9
+ Revision: 1884427
- New version

* Thu Mar 24 2022 umeabot <umeabot> 18.6.1-3.mga9
+ Revision: 1825133
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 18.6.1-2.mga9
+ Revision: 1785599
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 18.6.1-1.mga9
+ Revision: 1743071
- new version 18.6.1

* Tue Mar 23 2021 guillomovitch <guillomovitch> 18.6.0-2.mga9
+ Revision: 1708415
- rebuild for python 3.9

* Tue Jan 12 2021 daviddavid <daviddavid> 18.6.0-1.mga8
+ Revision: 1671227
- provide and obsolete old python-cherrypy
- drop bundled egg-info

* Sat Nov 07 2020 guillomovitch <guillomovitch> 18.6.0-0.mga8
+ Revision: 1643307
- new version 18.6.0

* Sun Feb 16 2020 umeabot <umeabot> 3.8.0-8.mga8
+ Revision: 1533128
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 3.8.0-7.mga8
+ Revision: 1443615
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 tmb <tmb> 3.8.0-6.mga7
+ Revision: 1355173
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.8.0-5.mga7
+ Revision: 1288410
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.8.0-4.mga7
+ Revision: 1135339
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 3.8.0-3.mga6
+ Revision: 970870
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 3.8.0-2.mga6
+ Revision: 888747
- rebuild for python 3.5

* Mon Sep 07 2015 neoclust <neoclust> 3.8.0-1.mga6
+ Revision: 873901
- New version 3.8.0

* Wed Oct 29 2014 tarakbumba <tarakbumba> 3.5.0-6.mga5
+ Revision: 794374
- Patch: Python2 accepts both bytestrings and unicode in ntob and always returns unicode

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-5.mga5
+ Revision: 743010
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 philippem <philippem> 3.5.0-4.mga5
+ Revision: 737773
- disable tests

* Sat Sep 27 2014 tv <tv> 3.5.0-3.mga5
+ Revision: 728220
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 687928
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 3.5.0-1.mga5
+ Revision: 669701
- update to 3.5.0

* Sat May 31 2014 pterjan <pterjan> 3.2.4-4.mga5
+ Revision: 628507
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.2.4-3.mga4
+ Revision: 543209
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.2.4-2.mga4
+ Revision: 498235
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 08 2013 philippem <philippem> 3.2.4-1.mga4
+ Revision: 464789
- Update to 3.2.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.2.2-2.mga3
+ Revision: 378557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 philippem <philippem> 3.2.2-1.mga2
+ Revision: 168443
- Update to 3.2.2
+ kharec <kharec>
- Increment rel for fix the summary in mageia-app-db (typo)
- fix typo
- new version 3.2.1
- fix doc's packaging

* Mon Mar 28 2011 philippem <philippem> 3.2.0-1.mga1
+ Revision: 78275
- imported package python-cherrypy


* Mon Mar 28 2011 Philippe Makowski <makowski.mageia@gmail.com> 3.2.0-1mga1
- New upstream release

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.2-1mdv2010.1
+ Revision: 489397
- new version

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 3.1.1-2mdv2010.0
+ Revision: 442058
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.1.1-1mdv2009.1
+ Revision: 324269
- New upstream release

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 280549
- New release

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-3mdv2009.0
+ Revision: 242389
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 52594
- update to new version 2.2.1


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.1-2mdv2007.0
+ Revision: 100512
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-cherrypy

* Tue Apr 11 2006 Michael Scherer <misc@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 2.1.0-2mdk
- Use new python macro

* Fri Dec 09 2005 Michael Scherer <misc@mandriva.org> 2.1.0-1mdk
- New release 2.1.0
- use mkrel

* Mon Dec 06 2004 Michael Scherer <misc@mandrake.org> 2.0-0.0a1.1mdk 
- initial package for Mandrakelinux

